| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_component_wise
GTX Extensions (Experimental)

Operations between components of a type. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType::value_type | compAdd (genType const &v)
| Add all vector components together. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMax (genType const &v)
| Find the maximum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMin (genType const &v)
| Find the minimum value between single vector components. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMul (genType const &v)
| Multiply all vector components together. More...
template<typename floatType , typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< floatType, P > | compNormalize (vecType< T, P > const &v)
| Convert an integer vector to a normalized float vector. More...
template<typename T , typename floatType , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | compScale (vecType< floatType, P > const &v)
| Convert a normalized float vector to an integer vector. More...

## Detailed Description

Operations between components of a type.

<glm/gtx/component_wise.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType::value_type glm::compAdd | ( | genType const & | v | ) |

Add all vector components together.

See also
  GLM_GTX_component_wise

GLM_FUNC_DECL genType::value_type glm::compMax | ( | genType const & | v | ) |

Find the maximum value between single vector components.

See also
  GLM_GTX_component_wise

GLM_FUNC_DECL genType::value_type glm::compMin | ( | genType const & | v | ) |

Find the minimum value between single vector components.

See also
  GLM_GTX_component_wise

GLM_FUNC_DECL genType::value_type glm::compMul | ( | genType const & | v | ) |

Multiply all vector components together.

See also
  GLM_GTX_component_wise

GLM_FUNC_DECL vecType<floatType, P> glm::compNormalize | ( | vecType< T, P > const & | v | ) |

Convert an integer vector to a normalized float vector.

If the parameter value type is already a floating precision type, the value is passed through.

See also
  GLM_GTX_component_wise

GLM_FUNC_DECL vecType<T, P> glm::compScale | ( | vecType< floatType, P > const & | v | ) |

Convert a normalized float vector to an integer vector.

If the parameter value type is already a floating precision type, the value is passed through.

See also
  GLM_GTX_component_wise